Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.packaging
Class FileFilter

    java.lang.Object
      org.hibernate.ejb.packaging.Filter
          org.hibernate.ejb.packaging.FileFilter

    public abstract class FileFilter

extends Filter

Filter use to match a file by its name

Constructor Summary
`FileFilter(boolean retrieveStream)`

Method Summary
`abstract boolean` | `accept(String name)` Return true if the fully qualified file name match

Methods inherited from class org.hibernate.ejb.packaging.Filter
`getStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileFilter

    public FileFilter(boolean retrieveStream)

Parameters:
  `retrieveStream` - Give back an open stream to the matching element or not

Method Detail

### accept

    public abstract boolean accept(String name)

  Return true if the fully qualified file name match

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.